<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>

<body>
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">Cetak</h5>
                                            <span class="h2 font-weight-bold mb-0">Transcript </span>
                                        </div>
                                        <div class="col-auto">
                                            <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                <i class="fas fa-user-astronaut"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <div class="modal fade" id="exampleModal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <form th:action="@{/studiesActivity/transcript/uploadpin}" method="post"
                        enctype="multipart/form-data">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <input type="file" class="form-control" name="file">
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            <button type="submit" class="btn btn-primary">Upload Data</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <div class="container-fluid mt--7">
            <div class="row">
                <div class="col-md-12">
                    <div class="card shadow">
                        <div class="card-header border-0">
                            <div class="col text-right">
                                <a th:if="${mahasiswa != null && nirm == null}"
                                    th:href="@{/studiesActivity/transcript/cetaktranscript (nim = ${mahasiswa.nim}, nirm = 'AKTIF')}"
                                    type="button" class="btn btn-sm btn-primary text-white"><i
                                        class="fas fa-paper-plane"></i> Format NIRM</a>
                                <a th:if="${mahasiswa != null && nirm != null}"
                                    th:href="@{/studiesActivity/transcript/cetaktranscript (nim = ${mahasiswa.nim})}"
                                    type="button" class="btn btn-sm btn-primary text-white"><i
                                        class="fas fa-paper-plane"></i> Format PIN</a>
                                <button type="button" class="btn btn-sm btn-default" data-toggle="modal"
                                    data-target="#exampleModal"><i class="fas fa-book"></i> Upload Nomor Transkrip &
                                    PIN</button>
                            </div>
                        </div>
                        <div class="card-body">
                            <form method="get">
                                <div class="form-group">
                                    <label>Nim</label>
                                    <input type="text" th:value="${search}" name="nim" class="form-control">
                                </div>
                                <div class="form-group">
                                    <button class="btn btn-primary">Search</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <br>


            <div class="row" th:if="${mahasiswa != null && errors == null}">
                <div class="col-md-12">
                    <div class="card shadow">

                        <div class="card shadow">
                            <div class="card-body">
                                <div class="tab-content" id="myTabContent">
                                    <div class="tab-pane fade show active" th:if="${nirm != null}" role="tabpanel"
                                        aria-labelledby="tabs-icons-text-1-tab">
                                        <form method="post"
                                            th:action="@{/studiesActivity/transcript/cetaktranscript (mahasiswa = ${mahasiswa.id}, nirm = 'AKTIF')}"
                                            th:object="${mahasiswa}">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>NIM</label>
                                                        <input type="text" readonly th:value="${mahasiswa.nim}"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Nama</label>
                                                        <input type="text" readonly th:value="${mahasiswa.nama}"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Tanggal Lulus</label>
                                                        <input type="date" th:field="*{tanggalLulus}" required
                                                            name="tanggalLulus" class="form-control" />
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>No Transkript</label>
                                                        <input type="text" th:field="*{noTranskript}" required
                                                            name="noTranskript" class="form-control">
                                                    </div>
                                                </div>
                                            </div>


                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Judul Skripsi/ Tesis</label>
                                                        <input type="text" th:field="*{judul}" required name="judul"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Thesis Title</label>
                                                        <input type="text" th:field="*{title}" required name="title"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>NIRM</label>
                                                        <input type="text" th:field="*{nirm}" required name="nirm"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>NIRL</label>
                                                        <input type="text" th:field="*{nirl}" required name="nirl"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                            </div>


                                            <div class="form-group">
                                                <center>
                                                    <button type="submit" class="btn btn-success">Save</button>
                                                </center>
                                            </div>
                                        </form>
                                        <div class="alert alert-danger" th:if="${mahasiswa.tanggalLahir == null}">
                                            <center>
                                                <strong>Silahkan lengkapi tanggal lahir mahasiswa terlebih
                                                    dahulu!</strong>
                                            </center>
                                        </div>
                                        <div class="form-group"
                                            th:if="${mahasiswa.nirl != null && mahasiswa.tanggalLahir != null}">
                                            <center>
                                                <a th:href="@{/studiesActivity/transcript/transkriptindo (nim = ${mahasiswa.nim})}"
                                                    class="btn btn-danger btn-outline-warning">Indonesia</a>
                                                <a th:href="@{/studiesActivity/transcript/transkriptexcel (nim = ${mahasiswa.nim})}"
                                                    class="btn btn-danger btn-outline-primary">Inggris</a>
                                            </center>
                                        </div>
                                    </div>

                                    <div th:if="${nirm == null}" class="tab-pane fade show active"
                                        id="tabs-icons-text-1" role="tabpanel" aria-labelledby="tabs-icons-text-1-tab">
                                        <form method="post"
                                            th:action="@{/studiesActivity/transcript/cetaktranscript (mahasiswa = ${mahasiswa.id})}"
                                            th:object="${mahasiswa}">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>NIM</label>
                                                        <input type="text" readonly th:value="${mahasiswa.nim}"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Nama</label>
                                                        <input type="text" readonly th:value="${mahasiswa.nama}"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Tanggal Lulus</label>
                                                        <input type="date" th:field="*{tanggalLulus}" required
                                                            name="tanggalLulus" class="form-control" />
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>No Transkript</label>
                                                        <input type="text" th:field="*{noTranskript}" required
                                                            name="noTranskript" class="form-control">
                                                    </div>
                                                </div>
                                            </div>


                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Judul Skripsi/ Tesis</label>
                                                        <input type="text" th:field="*{judul}" required name="judul"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Thesis Title</label>
                                                        <input type="text" th:field="*{title}" required name="title"
                                                            class="form-control">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Nomor Induk Nasional</label>
                                                        <input type="text" th:field="*{indukNasional}" required
                                                            name="indukNasional" class="form-control">
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Tanggal disahkan</label>
                                                        <input type="date" th:if="${disahkan != null}"
                                                            th:value="${disahkan}" required name="tanggal"
                                                            class="form-control">
                                                        <input type="date" th:if="${disahkan == null}" required
                                                            name="tanggal" class="form-control">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Tanggal Lahir</label>
                                                        <input type="date" th:field="*{tanggalLahir}" required
                                                            name="tanggalLahir" class="form-control">
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Tempat Lahir</label>
                                                        <input type="text" th:field="*{tempatLahir}" required
                                                            name="tempatLahir" class="form-control">
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="form-group">
                                                <center>
                                                    <button type="submit" class="btn btn-success">Save</button>
                                                </center>
                                            </div>
                                        </form>
                                        <div class="alert alert-danger" th:if="${mahasiswa.tanggalLahir == null}">
                                            <center>
                                                <strong>Silahkan lengkapi tanggal lahir mahasiswa terlebih
                                                    dahulu!</strong>
                                            </center>
                                        </div>
                                        <div class="form-group"
                                            th:if="${mahasiswa.indukNasional != null && mahasiswa.tanggalLahir != null && disahkan != null}">
                                            <center>
                                                <a th:href="@{/studiesActivity/transcript/excelindo2 (nim = ${mahasiswa.nim})}"
                                                    class="btn btn-danger btn-outline-warning">Indonesia</a>
                                                <a th:href="@{/studiesActivity/transcript/transkriptexcel2 (nim = ${mahasiswa.nim})}"
                                                    class="btn btn-danger btn-outline-primary">Inggris</a>
                                            </center>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="tabs-icons-text-2" role="tabpanel"
                                        aria-labelledby="tabs-icons-text-2-tab">

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>


            <div class="row" th:if="${errors != null}">
                <div class="col-md-12">
                    <div class="card shadow">

                        <div class="card shadow">
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                            <tr>
                                                <th scope="col">NIM</th>
                                                <th scope="col">Status</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr th:each="error : ${errors}">
                                                <td style="alignment: center" th:text="${error.nim}"></td>
                                                <td style="alignment: center"><span class="badge badge-danger"
                                                        th:text="${error.message}"></span></td>
                                            </tr>
                                            <tr th:each="success : ${success}">
                                                <td style="alignment: center" th:text="${success.nim}"></td>
                                                <td style="alignment: center"><span class="badge badge-success"
                                                        th:text="${success.message}"></span></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
</body>

</html>